Summary: Utilities for performing block layer IO tracing in the linux kernel
Name: blktrace
Version: 1.0.0
Release: 6%{?dist}
License: GPLv2+
Group: Development/System
Source:  http://brick.kernel.dk/snaps/blktrace-%{version}.tar.bz2
Url: http://brick.kernel.dk/snaps

Requires: python
BuildRequires: libaio-devel python tetex-latex tetex
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:  blktrace-1.0.0-fix-btreplay-version.patch
Patch1:  blktrace-1.0.0-btt-z-option.patch
Patch2:  blktrace-1.0.0-fix-btt-segfault.patch
Patch3:  blktrace-1.0.0-btt-fix-M-option.patch
Patch4:  blktrace-1.0.0-btt-P-option.patch
Patch5:  blktrace-1.0.0-string-literal-warnings.patch
Patch6:  blktrace-1.0.0-blkparse-no-messages.patch
Patch7:  blktrace-1.0.0-add-BLK_TA_ABORT.patch
Patch8:  blktrace-1.0.0-init-min-counters.patch
Patch9:  blktrace-1.0.0-lock-reader-threads.patch
Patch10: blktrace-1.0.0-stats-h-include.patch
Patch11: blktrace-1.0.0-blkiomon-off-by-one.patch
Patch12: blktrace-1.0.0-unaligned-access.patch
Patch13: blktrace-1.0.0-max-pkts-args.patch
Patch14: blktrace-1.0.0-more-manpage-fixups.patch
Patch15: blktrace-1.0.0-btrace-options-fixes.patch
Patch16: blktrace-1.0.0-blkiomon-options-fixes.patch
Patch17: blktrace-1.0.0-blkrawverify-no-traces-found.patch
Patch18: blktrace-1.0.0-blkparse-no-traces.patch

%description
blktrace is a block layer IO tracing mechanism which provides detailed
information about request queue operations to user space.  This package
includes both blktrace, a utility which gathers event traces from the kernel;
and blkparse, a utility which formats trace data collected by blktrace.

You should install the blktrace package if you need to gather detailed
information about IO patterns.

%prep
%setup -q -n blktrace

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

%build
make CFLAGS="%{optflags}" all
make CFLAGS="%{optflags}" docs

%install
rm -rf %{buildroot}
make dest=%{buildroot} prefix=%{buildroot}/%{_prefix} mandir=%{buildroot}/usr/share/man install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%doc btt/doc/btt.pdf btreplay/doc/btreplay.pdf doc/blktrace.pdf
%{_bindir}/*
%exclude %{_bindir}/bno_plot.py[co]
%attr(0644,root,root) /usr/share/man/man1/*
%attr(0644,root,root) /usr/share/man/man8/*

%changelog
* Wed May 13 2009 Eric Sandeen <sandeen@redhat.com> - 1.0.0-6
- blkiomon doesn't recognize --msg-queue-name (#498377)
- Unrecognized blkparse options in manpage (#498381)
- blktrawverify manpage inconsistencies (#498383)
- btrecord doesn't recognize --max-pkts (#498426)
- btrace manpage errors (#498891)
- Misc. manpage typos and errors (#498904)
- btrace does not recognize -b and -n options (#498945)
- blkiomon unaligned access messages on ia64 (#499373)
- blkrawverify exits without error when no files exist (#499581)
- blkparse exits without error when no files exist (#500118)

* Mon May 04 2009 Eric Sandeen <sandeen@redhat.com> - 1.0.0-5
- Pull in several more upstream fixes (#472898)

* Mon May 04 2009 Eric Sandeen <sandeen@redhat.com> - 1.0.0-4
- Fix btt segfault (#498915)

* Fri Apr 17 2009 Eric Sandeen <sandeen@redhat.com> - 1.0.0-3
- Add fix for min-counter initialization and BLK_TA_ABORT (#475548)
- Add fix for bad trace magic from unlocked reader threads (#493385)

* Tue Feb 17 2009 Eric Sandeen <sandeen@redhat.com> - 1.0.0-2
- Build PDF documentation after all

* Sun Nov 02 2008 Eric Sandeen <sandeen@redhat.com> - 1.0.0-1
- New upstream version (now with actual versioning!)

* Fri Feb 08 2008 Eric Sandeen <sandeen@redhat.com> - 0.0-0.9.20080103162505git
- gcc-4.3 rebuild

* Sat Jan 26 2008 Eric Sandeen <sandeen@redhat.com> - 0.0-0.8.20080103162505git
- New upstream version

* Wed Oct 24 2007 Eric Sandeen <sandeen@redhat.com> - 0.0-0.6.20071010202719git
- Add libaio-devel to BuildRequires

* Wed Oct 24 2007 Eric Sandeen <sandeen@redhat.com> - 0.0-0.5.20071010202719git
- New upstream version

* Wed Aug 15 2007 Eric Sandeen <sandeen@redhat.com> - 0.0-0.4.20070730162628git
- Fix up btt/Makefile to accept rpm's CFLAGS

* Tue Aug 14 2007 Eric Sandeen <sandeen@redhat.com> - 0.0-0.3.20070730162628git
- Just drop the pdf build, bloats the buildroot for such a simple tool

* Wed Aug 01 2007 Eric Sandeen <sandeen@redhat.com> - 0.0-0.2.20070730162628git
- Add ghostscript to BuildRequires, use attr macro for man pages

* Wed Aug 01 2007 Eric Sandeen <sandeen@redhat.com> - 0.0-0.1.20070730162628git
- New package, initial build.
